# Class TextCallbackHandler

java.lang.Object
com.sun.grid.security.login.TextCallbackHandler

All Implemented Interfaces:
  `CallbackHandler`

public class TextCallbackHandler extends Object implements CallbackHandler

## Constructor Summary

Constructors
Constructor
Description
`TextCallbackHandler()`
Creates a callback handler that prompts and reads from the command line for answers to authentication questions.

## Method Summary

Modifier and Type
Method
Description
`void`
`handle(Callback[] callbacks)`
Handles the specified set of callbacks.

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextCallbackHandler

public TextCallbackHandler()

Creates a callback handler that prompts and reads from the command line for answers to authentication questions. This can be used by JAAS applications to instantiate a CallbackHandler.

## Method Details

### handle

public void handle(Callback[] callbacks) throws IOException, UnsupportedCallbackException
Handles the specified set of callbacks.

Specified by:
  `handle` in interface `CallbackHandler`
Parameters:
  `callbacks` - the callbacks to handle
Throws:
  `IOException` - if an input or output error occurs.
  `UnsupportedCallbackException` - if the callback is not an instance of NameCallback or PasswordCallback